@import url('https://fonts.googleapis.com/css?family=Muli:wght@400;700&display=swap');
:root{
    --primery-color:#22254b;
    --secondary-color:#373b69;
    --hover-text-color:#7378c5;
}
*{
    box-sizing: border-box;
}
body{
    background-color: var(--primery-color);
    font-family: 'Muli', sans-serif;
    margin:0;
}
header{
    padding: 1rem;
    display: flex;
    justify-content: flex-end;
    background-color: var(--secondary-color);
}
.search{
    background-color: transparent;
    border:2px solid var(--primery-color);
    border-radius: 50px;
    font-family: inherit;
    font-size: 1rem;
    padding:0.5rem 1rem;
    color:#fff
}
/* in case of search hover */
.search::placeholder{
    color:var(--hover-text-color);
}
.search:focus{
    outline:none;
    background-color: var(--primery-color);
}
main{
    display: flex;
    flex-wrap: wrap;
}
.movie{
    width:300px;
    margin:1rem;
    background-color: var(--secondary-color);
    box-shadow: 0 4px 5px rgba(0,0,0,0.2);
    position:relative;
    overflow:hidden;
    border-radius: 3px;
}
.movie img{
    width:100%
}
.movie-info{
    color:#fff;
    display: flex;
    align-items: center;
    justify-content: center;
    padding:0.5rem 1rem 1rem;
    letter-spacing: 0.5px;
}
.movie-info h3{
    margin-top:0;
}
.movie-info span{
    background-color: var(--primery-color);
    padding:0.25rem 0.5rem;
    border-radius: 3px;
    font-weight: bold;
}
.movie-info span.green{
    color:lightgreen
}
.movie-info span.orange{
    color:orange
}
.movie-info span.red{
    color:lightcoral
}
/* make describing part moveable and hidden-displayed incase of hover */
.overview {
    background-color: #fff;
    padding:2rem;
    position: absolute;
    left:0;
    bottom:0;
    right:0;
    max-height:100%;
    transform:translateY(101%);
    transition:  transform 0.4s ease-in;
}
.movie:hover .overview{
    transform: translateY(0);
}